QGIS Application - Bug report #7533

field calculator is much slower on master than in 1.8

2013-04-07 12:36 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16477

Description

~3000 records

QGIS 1.8:

New field -> $area: ~2s
Update -> $perimeter: ~2s
Update -> $id: <2s

QGIS master:

New field -> $area: ~32s
Update -> $perimeter: ~32s
Update -> $id: ~14s

Associated revisions

Revision a21fc5a7 - 2013-04-08 09:07 PM - Matthias Kuhn

[FIX #7533] Field calculator is slow

Set the QgsDistanceArea only once and not for every loop cycle.

QgsCoordinateReferenceSystem::loadFromDb takes very long.

Revision a150865e - 2013-04-08 09:17 PM - Jiirgen Fischer

Merge pull request #510 from matthias-kuhn/field-calculator-perf

[FIX #7533] Field calculator is slow

History

#1 - 2013-04-08 12:16 PM - Matthias Kuhn
- Status changed from Open to In Progress

I've got a patch for this ready. Hopefully it is reviewed soon.

https://github.com/qgis/Quantum-GIS/pull/510

Giovanni:
You could help by doing your profiling with this patch again.
https://github.com/qgis/Quantum-GIS/pull/510

#2 - 2013-04-08 12:17 PM - Jiirgen Fischer
- Status changed from In Progress to Closed

Fixed in changeset commit:"a150865e2b518638956¢5640d938e€97934e694ea".

#3 - 2013-04-08 12:18 PM - Matthias Kuhn

Giovanni, could you still do the profiling to verify this solves the issue. Thank you.

#4 - 2013-04-14 10:25 AM - Giovanni Manghi

Matthias Kuhn wrote:

Giovanni, could you still do the profiling to verify this solves the issue. Thank you.

really, really improved. Thanks a lot Matthias!
